# Gnuplot version 5.0 patchlevel 3.
# Plots results from 'penmain.f'

#-----------------------------------------------------------------------

reset

# Define the appropriate terminal
 set terminal wxt size 900,600 enhanced font 'Arial,12' dashlength 2.0
#set terminal windows size 900,600 enhanced font 'Arial,12'
#set terminal qt size 900,600 font 'Arial,12' enhanced

set encoding utf8  # Character encoding
set mouse
set zero 1.0e-99

# Soft colors
#set linetype  1 lw 2 lc rgb 29390     # UB blue
#set linetype  2 lw 2 lc rgb 13382400  # soft red
#set linetype  3 lw 2 lc rgb 39168     # dark green
#set linetype  4 lw 2 lc rgb 10053171  # brown
#set linetype  5 lw 2 lc rgb 16724940  # pink

set linetype  1 lw 2 lc rgb 255       # blue
set linetype  2 lw 2 lc rgb 16711680  # red
set linetype  3 lw 2 lc rgb 65280     # green
set linetype  4 lw 2 lc rgb 10053171  # brown
set linetype  5 lw 2 lc rgb 16711935  # magenta

set linetype 10 lw 2 lc rgb 0         # black
set linetype 11 lw 2 lc rgb 8421504   # 50 percent black
set xzeroaxis linestyle 11
set yzeroaxis linestyle 11

#set palette rgbformulae 7,5,15
set palette defined ( 1 "blue", 2 "green", 3 "yellow" , 4 "orange", 5 "red")
#set palette defined ( 1 "blue", 2 "green", 3 "yellow" , 4 "white")
#set palette defined ( 1 "red", 2 "orange", 3 "yellow" , 4 "white")
set linetype 100 lw 1 lc rgb 0         # black

set dashtype 1 (8,3)       # dashed
set dashtype 2 (12,3,1,3)  # dot-dashed
set dashtype 3 (4,3)       # dotted

set tmargin at screen 0.90
set bmargin at screen 0.13
set rmargin at screen 0.94
set lmargin at screen 0.15

set size 1,1  # The plot fills the available canvas
set border lw 2.0
set pointsize 0.8
set bars 0.5

#set format xy "10^{%T}"
#set format xy "%.1te%+-3T"
#set format cb "%.1te%+-3T"

#-----------------------------------------------------------------------

set format xy "%.1te%+-3T"
set ylabel 'P(Age)   (1/s)'
set xlabel 'Age   (s)'

set xrange [*:*]
set logscale x

set yrange [1.0e-14:*]
set nologscale y

set mxtics 5
set mytics 5
set grid xtics ytics mxtics mytics ls 11 lw 1, ls 11 lw 1
unset grid

set title 'Age distribution of particles at detector #1'
plot 'age-impdet-01.dat' u 1:2:3 t 'total' w errorbars ls 2,\
     'age-impdet-01.dat' u 1:2 notitle w histeps ls 1
pause -1 'Press enter to continue'

set title 'Age distribution of particles at detector #2'
plot 'age-impdet-02.dat' u 1:2:3 t 'total' w errorbars ls 2,\
     'age-impdet-02.dat' u 1:2 notitle w histeps ls 1
pause -1 'Press enter to continue'

set title 'Age distribution of particles at detector #3'
plot 'age-impdet-03.dat' u 1:2:3 t 'total' w errorbars ls 2,\
     'age-impdet-03.dat' u 1:2 notitle w histeps ls 1
pause -1 'Press enter to continue'

set title 'Age distribution of particles at detector #4'
plot 'age-impdet-04.dat' u 1:2:3 t 'total' w errorbars ls 2,\
     'age-impdet-04.dat' u 1:2 notitle w histeps ls 1
pause -1 'Press enter to continue'

set title 'Age distribution of particles at detector #5'
plot 'age-impdet-05.dat' u 1:2:3 t 'total' w errorbars ls 2,\
     'age-impdet-05.dat' u 1:2 notitle w histeps ls 1
pause -1 'Press enter to continue'
