# Gnuplot version 5.0 patchlevel 3.
# Plots particle tracks generated by penmain.f.
#-----------------------------------------------------------------------

reset

# Define the appropriate terminal
 set terminal wxt size 900,600 enhanced font 'Arial,12' dashlength 2.0
#set terminal windows size 900,600 enhanced font 'Arial,12'
#set terminal qt size 900,600 font 'Arial,12' enhanced

set encoding utf8  # Character encoding
set mouse
set zero 1.0e-99

# Soft colors
#set linetype  1 lw 2 lc rgb 29390     # UB blue
#set linetype  2 lw 2 lc rgb 13382400  # soft red
#set linetype  3 lw 2 lc rgb 39168     # dark green
#set linetype  4 lw 2 lc rgb 10053171  # brown
#set linetype  5 lw 2 lc rgb 16724940  # pink

set linetype  1 lw 2 lc rgb 255       # blue
set linetype  2 lw 2 lc rgb 16711680  # red
set linetype  3 lw 2 lc rgb 65280     # green
set linetype  4 lw 2 lc rgb 10053171  # brown
set linetype  5 lw 2 lc rgb 16711935  # magenta

set linetype 10 lw 2 lc rgb 0         # black
set linetype 11 lw 2 lc rgb 8421504   # 50 percent black
set xzeroaxis linestyle 11
set yzeroaxis linestyle 11

#set palette rgbformulae 7,5,15
set palette defined ( 1 "blue", 2 "green", 3 "yellow" , 4 "orange", 5 "red")
#set palette defined ( 1 "blue", 2 "green", 3 "yellow" , 4 "white")
#set palette defined ( 1 "red", 2 "orange", 3 "yellow" , 4 "white")
set linetype 100 lw 1 lc rgb 0         # black

set dashtype 1 (8,3)       # dashed
set dashtype 2 (12,3,1,3)  # dot-dashed
set dashtype 3 (4,3)       # dotted

set tmargin at screen 0.90
set bmargin at screen 0.13
set rmargin at screen 0.94
set lmargin at screen 0.15

set size 1,1  # The plot fills the available canvas
set border lw 2.0
set pointsize 0.8
set bars 0.5

#set format xy "10^{%T}"
#set format xy "%.1te%+-3T"
#set format cb "%.1te%+-3T"

#-----------------------------------------------------------------------

set mouse
set size ratio -1
set format xy "%.1te%+-3T"
set format z "%.1te%+-3T"

set style line 11 lt 1 lc rgb "red" lw 1
set style line 12 lt 1 lc rgb "green" lw 1
set style line 13 lt 1 lc rgb "blue" lw 1

set xtics offset character -0.75,0
set ytics offset character 0,-0.75

set key on right top Right samplen 5.5 height +1 width +1

unset margins
set ticslevel 0.05
set xlabel "x" offset character 0,0
set ylabel "y" offset character 0,0
set zlabel "z" offset character -2
set view 65,40,1,1
splot 'electron.trk' u 1:2:3 t 'electron' w lines ls 11, \
      'photon.trk' u 1:2:3 t 'photon' w lines ls 12, \
      'positron.trk' u 1:2:3 t 'positron' w lines ls 13
pause -1

set tmargin at screen 0.97
set bmargin at screen 0.17
set rmargin at screen 0.94
set lmargin at screen 0.20

set xlabel "x" offset character 0,-2
set ylabel "y" offset character 0,0
set mxtics
set mytics
set xtics rotate by 90 offset character 0,-3
set ytics offset character 0,0
plot 'electron.trk' u 1:2 t 'electron' w lines ls 11, \
     'photon.trk' u 1:2  t 'photon'w lines ls 12, \
     'positron.trk' u 1:2 t 'positron' w lines ls 13
pause -1

set xlabel "x"
set ylabel "z"
plot 'electron.trk' u 1:3 t 'electron' w lines ls 11, \
     'photon.trk' u 1:3 t 'photon' w lines ls 12, \
     'positron.trk' u 1:3 t 'positron' w lines ls 13
pause -1

set xlabel "y"
set ylabel "z"
plot 'electron.trk' u 2:3 t 'electron' w lines ls 11, \
     'photon.trk' u 2:3 t 'photon' w lines ls 12, \
     'positron.trk' u 2:3 t 'positron' w lines ls 13
pause -1

