# Gnuplot version 5.0 patchlevel 3.
# Plots results from 'psf-view'

#-----------------------------------------------------------------------

reset

# Define the appropriate terminal
 set terminal wxt size 900,600 enhanced font 'Arial,12' dashlength 2.0
#set terminal windows size 900,600 enhanced font 'Arial,12'
#set terminal qt size 900,600 font 'Arial,12' enhanced

set encoding utf8  # Character encoding
set mouse
set zero 1.0e-99

# Soft colors
#set linetype  1 lw 2 lc rgb 29390     # UB blue
#set linetype  2 lw 2 lc rgb 13382400  # soft red
#set linetype  3 lw 2 lc rgb 39168     # dark green
#set linetype  4 lw 2 lc rgb 10053171  # brown
#set linetype  5 lw 2 lc rgb 16724940  # pink

set linetype  1 lw 2 lc rgb 255       # blue
set linetype  2 lw 2 lc rgb 16711680  # red
set linetype  3 lw 2 lc rgb 65280     # green
set linetype  4 lw 2 lc rgb 10053171  # brown
set linetype  5 lw 2 lc rgb 16711935  # magenta

set linetype 10 lw 2 lc rgb 0         # black
set linetype 11 lw 2 lc rgb 8421504   # 50 percent black
set xzeroaxis linestyle 11
set yzeroaxis linestyle 11

#set palette rgbformulae 7,5,15
set palette defined ( 1 "blue", 2 "green", 3 "yellow" , 4 "orange", 5 "red")
#set palette defined ( 1 "blue", 2 "green", 3 "yellow" , 4 "white")
#set palette defined ( 1 "red", 2 "orange", 3 "yellow" , 4 "white")
set linetype 100 lw 1 lc rgb 0         # black

set dashtype 1 (8,3)       # dashed
set dashtype 2 (12,3,1,3)  # dot-dashed
set dashtype 3 (4,3)       # dotted

set tmargin at screen 0.90
set bmargin at screen 0.13
set rmargin at screen 0.94
set lmargin at screen 0.15

set size 1,1  # The plot fills the available canvas
set border lw 2.0
set pointsize 0.8
set bars 0.5

#set format xy "10^{%T}"
#set format xy "%.1te%+-3T"
#set format cb "%.1te%+-3T"

#-----------------------------------------------------------------------

unset xzeroaxis
unset yzeroaxis
unset margins
set colorbox vert user origin .88,.4 size .025,.5
set pm3d solid hidden3d 100
set view 60, 155, 1,1
set ticslevel 0.075

set xlabel "theta (deg)"
set ylabel "phi (deg)"
set zlabel "PDF (1/sr)" rotate by 90 offset character -3,0

set nologscale x
set nologscale y
set nologscale z
set xrange [0:180]
set yrange [0:360]
set zrange [*:*]

set format z "%.1te%+-3T"
set format cb "%.1te%+-3T"

unset margins
set xtics offset character 0,-0.25
set ytics offset character -0.25,0

set title 'Angular distribution of particles (1/sr)'
splot 'psf-angle.dat' u 1:2:3 notitle w pm3d
pause -1 'Press enter to continue'

set rmargin at screen 0.85
set lmargin at screen 0.12
set xtics offset character 0,0.5
set ytics offset character 0.5,0
set colorbox default back
set xlabel "theta (deg)" offset character 0,0.4
set ylabel "phi (deg)" offset character -1,0
set xrange [0:180]
set yrange [0:360]
set zrange [0:*]
set pm3d corners2color c1 map

set title 'Angular distribution of particles (1/sr)'
splot 'psf-angle.dat' u 1:2:3 notitle w pm3d
pause -1 'Press enter to continue'

