      INCLUDE 'penelope.f'
      INCLUDE 'rita.f'
      INCLUDE 'penfield.f'
C
C  This program generates electron and positron trajectories in uniform
C  electromagnetic fields in vacuum.
C
C  *********************************************************************
C                       MAIN PROGRAM
C  *********************************************************************
C
      USE TRACK_mod
      USE PENERROR_mod
C
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      PARAMETER (PI=3.1415926535897932D0)
C  ****  EM field.
      COMMON/UFIELD/EFX,EFY,EFZ,BFX,BFY,BFZ
C
      COMMON/RSEED/ISEED1,ISEED2
C
      MAT=1
      IBODY=1
C
      OPEN(7,FILE='track')
      WRITE(6,*) 'Components of the electric field (V/cm)?'
      READ(5,*) EFX,EFY,EFZ
      WRITE(7,'('' # E-field (V/cm)  ='',1P,3E15.7)') EFX,EFY,EFZ
      WRITE(6,*) 'Magnitude of the magnetic field (gauss)?'
      READ(5,*) BFX,BFY,BFZ
      WRITE(7,'('' # B-field (gauss) ='',1P,3E15.7)') BFX,BFY,BFZ
C
      WRITE(6,*) 'Electron (-1) or positron (+1)?'
      READ(5,*) KPAR
      IF(KPAR.EQ.-1) THEN
        WRITE(7,*) '# Electron'
        KPAR=1
      ELSE
        WRITE(7,*) '# Positron'
        KPAR=3
      ENDIF
      X=0.0D0
      Y=0.0D0
      Z=0.0D0
      WRITE(7,'('' # Initial position ='',1P,3E15.7)') X,Y,Z
      WRITE(6,*) 'Angles of initial direction (deg)?'
      READ(5,*) TH,PH
      U=DSIN(TH*PI/180.0D0)*DCOS(PH*PI/180.0D0)
      V=DSIN(TH*PI/180.0D0)*DSIN(PH*PI/180.0D0)
      W=DCOS(TH*PI/180.0D0)
      WRITE(7,'('' # Initial direction (theta,phi) ='',1P,3E15.7)')
     1   TH,PH
      WRITE(7,'('' # Initial direction ='',1P,3E15.7)') U,V,W
C
      WRITE(6,*) 'Initial energy (eV)?'
      READ(5,*) E
      WRITE(7,*) '# Energy (eV) =',E
C
      WRITE(6,*) 'Trajectory length (cm)?'
      READ(5,*) TL
      WRITE(7,*) '# Trajectory length (cm) =',TL
C
      WRITE(6,*) 'Maximum variation of direction?'
      READ(5,*) ULDV
      WRITE(7,*) '# Maximum variation of direction =',ULDV
C
      WRITE(6,*) 'Maximum variation of energy?'
      READ(5,*) ULDE
      WRITE(7,*) '# Maximum variation of energy =',ULDE
C
      WRITE(6,*) 'Maximum variation of fields?'
      READ(5,*) ULEM
      WRITE(7,*) '# Maximum variation of fields =',ULEM
C
      WRITE(7,*) '   '
      WRITE(7,*) '   '
      TREM=TL
      WRITE(7,2000) X,Y,Z,E
 2000 FORMAT(1X,1P,4E15.7)
C
  100 CONTINUE
      CALL TPEMF0(ULDV,ULDE,ULEM,DSMAX)
      IF(IRETRN.NE.0) GO TO 105
C  ----  Moving the particle a path length DSMAX.
      DS=DSMAX
      IF(DS.GT.TREM) DS=TREM
      CALL TPEMF1(DS,DSEF,NCROSS)
      IF(IRETRN.NE.0) GO TO 105
      TREM=TREM-DSEF
      WRITE(7,2000) X,Y,Z,E
      IF(TREM.GT.1.0D-10) GO TO 100
C
      CLOSE(7)
 105  CONTINUE
      IF(IRETRN.NE.0) THEN
        WRITE(6,'(A)') REASON
        WRITE(6,'(A,I5)') 'IRETRN =',IRETRN
      ENDIF
C
      END

C  *********************************************************************
C  The following is a simplified STEP subroutine that moves particles
C  within and infinite medium.
      SUBROUTINE STEP(DSR,DSEF,NCROSS)
C
      USE TRACK_mod
      IMPLICIT DOUBLE PRECISION (A-H,O-Z), INTEGER*4 (I-N)
      DSEF=DSR
      X=X+U*DSR
      Y=Y+V*DSR
      Z=Z+W*DSR
      NCROSS=0
      RETURN
      END
